import { ref } from 'vue'
import { defineStore } from 'pinia'

export const usePageStore = defineStore('page', () => {
  const page = ref('home')
  function change(pageName:string) {
    page.value = pageName
  }

  function reversal() {
    if (page.value === 'home') return 'list';
    if (page.value === 'list') return 'home';
  }

  return { page, change,reversal }
})
